Where can I find an old version of M2?

31 views
Skip to first unread message

Xiaowen Hu

unread,
May 5, 2022, 12:21:05 PMMay 5
to Macaulay2
Hello,

It seems that the online dmg versions from the version 2-1.17 cannot be used in  MacOS 10.15. Can I find Macaulay2-1.16.dmg?

Best,
Xiaowen

Daniel R. Grayson

unread,
May 11, 2022, 10:49:34 AMMay 11
to Macaulay2
Oh, I deleted those old releases, to save space on the disk.  It's not even clear that 1.16 would run on 10.15.

Maybe, if you are not willing to upgrade your MacOS, you could compile from source code.

H XW

unread,
May 11, 2022, 3:11:19 PMMay 11
to maca...@googlegroups.com
Thanks. I have found a 1.16 version, and it works fine on 10.15.

Best,
Xiaowen

Daniel R. Grayson <danielrich...@gmail.com> 于2022年5月11日周三 22:49写道:
> --
> You received this message because you are subscribed to the Google Groups "Macaulay2" group.
> To unsubscribe from this group and stop receiving emails from it, send an email to macaulay2+...@googlegroups.com.
> To view this discussion on the web visit https://groups.google.com/d/msgid/macaulay2/afa0f00a-6dcb-4021-9f6c-7a9ee18ecc07n%40googlegroups.com.

HL Dao

unread,
Jun 18, 2022, 8:56:33 AM (7 days ago) Jun 18
to Macaulay2
Good day,

May I know where to find the 1.16 version? I am running MacOS Mojave 10.14, and I am contemplating compiling the source code, but I am having a hard time trying to understand the instructions in the M2/INSTALL file. 

Could anyone please tell me which version would work with MacOS Mojave 10.14? 

Thanks in advance,
HL

H XW

unread,
Jun 19, 2022, 11:55:43 AM (6 days ago) Jun 19
to maca...@googlegroups.com
I have compressed my 1.16 directory into a zip file, and one can
transplant it into other Mac computers with Mojave 10.14 OS. I don't
know whether there is any copyright issue if I put the file in a
public link. Anyone who needs this file can write to me (if there is
no objection from the authors of M2).

Xiaowen

HL Dao <espoirdu...@gmail.com> 于2022年6月18日周六 20:56写道:
> To view this discussion on the web visit https://groups.google.com/d/msgid/macaulay2/8709417d-0c43-4640-8a07-85127f318296n%40googlegroups.com.

HL Dao

unread,
Jun 19, 2022, 12:25:54 PM (6 days ago) Jun 19
to maca...@googlegroups.com
Xiaowen, thanks for your reply.  As I understand it, version 1.16 works on your computer that runs MacOS 10.15,  but would this version work on MacOS 10.14 ? 
So far, I have attempted (without success) to compile the source code on my computer using the instructions found in the file M2/INSTALL. 





You received this message because you are subscribed to a topic in the Google Groups "Macaulay2" group.
To unsubscribe from this topic, visit https://groups.google.com/d/topic/macaulay2/0O7irXTrdBs/unsubscribe.
To unsubscribe from this group and all its topics, send an email to macaulay2+...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/macaulay2/CACnZ1BTdZ9E5JX-qYq5aPTv1bSbdE%3DT3ZOE-dFEz1YtEYptrgg%40mail.gmail.com.

Mahrud Sayrafi

unread,
Jun 19, 2022, 5:04:06 PM (6 days ago) Jun 19
to maca...@googlegroups.com
For 10.15, you can try using Homebrew:
brew install Macaulay2/tap/M2

For 10.14 the same should work, but it might take longer, so try this instead:
brew install Macaulay2/tap/M2 --head

Reply all
Reply to author
Forward
0 new messages